#!/bin/bash

#remove old logfile
rm log_wget.txt -f

#shell script for mirroring Daily Space Weather Indices from NOAA
date --utc -d 'today' '+%Y-%m-%d %H:%M:%S display_goes_script.sh'
swpcIndicesUrl="ftp://ftp.swpc.noaa.gov/pub/latest/dayind.txt"
wget $swpcIndicesUrl -q -N -o log_wget.txt

#shell script for concatenating the latest daily GOES data files into one multiday file
#thisFile=$(readlink -f $BASH_SOURCE)
#thisFilePath=$(dirname $(readlink -f $BASH_SOURCE))

#dates:
today=`date --utc -d 'today' '+%Y%m%d'`
day1ago=`date --utc -d '1 day ago' '+%Y%m%d'`
day2ago=`date --utc -d '2 days ago' '+%Y%m%d'`
day3ago=`date --utc -d '3 days ago' '+%Y%m%d'`


#### GOES xray ####
{
#load xray latest 2 hours and last 2 days:
swpcGoesUrl="ftp://ftp.swpc.noaa.gov/pub/lists/xray/"
Gp5mFile="Gp_xr_5m.txt"
#wget $swpcGoesUrl$Gp5mFile -q -N
wget $swpcGoesUrl$today"_"$Gp5mFile -q -N -o log_wget.txt
wget $swpcGoesUrl$day1ago"_"$Gp5mFile -q -N -o log_wget.txt
wget $swpcGoesUrl$day2ago"_"$Gp5mFile -q -N -o log_wget.txt
wget $swpcGoesUrl$day3ago"_"$Gp5mFile -q -N -o log_wget.txt

#create combined multiday files:
goesFileTemp="Gp_xr_5m_multiday_temp.txt"
awk '!/#/ && !/:/ {print}' $day3ago"_"$Gp5mFile > $goesFileTemp
awk '!/#/ && !/:/ {print}' $day2ago"_"$Gp5mFile >> $goesFileTemp
awk '!/#/ && !/:/ {print}' $day1ago"_"$Gp5mFile >> $goesFileTemp
awk '!/#/ && !/:/ {print}' $today"_"$Gp5mFile >> $goesFileTemp
mv $goesFileTemp "Gp_xr_5m_multiday.txt"
}
#delete temporary files:
rm *Gp_xr_5m.txt -f


#### GOES particle ####
{
#load particle latest 2 hours and last 2 days:
swpcGoesPartUrl="ftp://ftp.swpc.noaa.gov/pub/lists/particle/"
GpPart5mFile="Gp_part_5m.txt"
#wget $swpcGoesPartUrl$GpPart5mFile -q -N
wget $swpcGoesPartUrl$today"_"$GpPart5mFile -q -N -o log_wget.txt
wget $swpcGoesPartUrl$day1ago"_"$GpPart5mFile -q -N -o log_wget.txt
wget $swpcGoesPartUrl$day2ago"_"$GpPart5mFile -q -N -o log_wget.txt
wget $swpcGoesPartUrl$day3ago"_"$GpPart5mFile -q -N -o log_wget.txt

#create combined multiday files:
goesPartFileTemp="Gp_part_5m_multiday_temp.txt"
awk '!/#/ && !/:/ {print}' $day3ago"_"$GpPart5mFile > $goesPartFileTemp
awk '!/#/ && !/:/ {print}' $day2ago"_"$GpPart5mFile >> $goesPartFileTemp
awk '!/#/ && !/:/ {print}' $day1ago"_"$GpPart5mFile >> $goesPartFileTemp
awk '!/#/ && !/:/ {print}' $today"_"$GpPart5mFile >> $goesPartFileTemp
mv $goesPartFileTemp "Gp_part_5m_multiday.txt"
}
#delete temporary files:
rm *Gp_part_5m.txt -f


